import { html as n } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as g } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, f = Object.getOwnPropertyDescriptor, c = (i, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? f(t, s) : t, a = i.length - 1, p; a >= 0; a--)
    (p = i[a]) && (e = (r ? p(t, s, e) : p(e)) || e);
  return r && e && m(t, s, e), e;
};
let o = class extends g {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--bagLarge", this.class = "c-pieIcon c-pieIcon--bagLarge", this.name = "IconBagLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--bagLarge"><path d="m25.555 9.761-3.911.018V4.625l-1.75-1.75h-7.779l-1.75 1.75v5.18l-4.112.018-1.225 16.484a2.622 2.622 0 0 0 2.616 2.81h16.704c.726 0 1.434-.307 1.933-.84.499-.535.744-1.26.683-1.996L25.555 9.752v.01ZM12.106 4.625h7.779V9.77l-7.779.026V4.625Zm12.88 22.461a.849.849 0 0 1-.639.28H7.636a.849.849 0 0 1-.639-.28.862.862 0 0 1-.236-.656l1.103-14.875 16.082-.061 1.269 14.919a.887.887 0 0 1-.228.665v.008Z"></path><path d="m17.584 23.954.157 1.75h5.697l-.158-1.75h-5.696Z"></path></svg>`;
  }
};
c([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
c([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = c([
  h("icon-bag-large")
], o);
export {
  o as IconBagLarge
};
